Update communication template
curl --request PUT \
--url https://api.ecomailhub.younegotiate.com/communications/templates/{ecoMailHubTemplate} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Creditor",
"subject": "Updated subject",
"content": "<p>Updated content</p>"
}
'import requests
url = "https://api.ecomailhub.younegotiate.com/communications/templates/{ecoMailHubTemplate}"
payload = {
"name": "Updated Creditor",
"subject": "Updated subject",
"content": "<p>Updated content</p>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Creditor',
subject: 'Updated subject',
content: '<p>Updated content</p>'
})
};
fetch('https://api.ecomailhub.younegotiate.com/communications/templates/{ecoMailHubTemplate}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Template updated.",
"data": {
"id": 15,
"name": "Updated Creditor",
"subject": "Updated subject",
"content": "<p>Updated content</p>",
"created_at": "2026-07-05T12:00:00.000000Z",
"updated_at": "2026-07-05T12:05:00.000000Z"
}
}{
"message": "Unauthenticated."
}{
"message": "Not Found."
}{
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
}Update communication template
Update one communication template owned by the authenticated EcoMail Hub user.
PUT
/
communications
/
templates
/
{ecoMailHubTemplate}
Update communication template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Communication template ID.
Body
application/json
Last modified on July 19, 2026
Was this page helpful?
⌘I

